import request from "@/api/request";
import type { ID } from "@/api/common";

// 查询主材出站列表
export function listMainMaterialOutboundLog(params: any) {
  return request({
    url: "/mes/station/out-log/main-material/list",
    method: "get",
    params,
  });
}

// 查询主材出站详细
export function getMainMaterialOutboundLog(id: ID) {
  return request({
    url: "/mes/station/out-log/main-material/" + id,
    method: "get",
  });
}

// 新增主材出站
export function batchAddMainMaterialOutboundLog(data: any) {
  return request({
    url: "/mes/station/out-log/main-material/batch",
    method: "post",
    data,
  });
}

// 新增主材出站
export function addWaferDieOutboundLogBySpecifiedNg(data: any) {
  return request({
    url: "/mes/station/out-log/main-material/wafer-die/by-specified-ng",
    method: "post",
    data,
  });
}

// 删除主材出站
export function delMainMaterialOutboundLog(id: ID) {
  return request({
    url: "/mes/station/out-log/main-material/" + id,
    method: "delete",
  });
}
